KParts::URLArgs struct Reference (kparts Library)

| # kparts Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KParts::URLArgs Struct Reference

URLArgs is a set of arguments bundled into a structure, to allow specifying how a URL should be opened by openURL(). More...

`#include <browserextension.h>`

Collaboration diagram for KParts::URLArgs:

[legend]
List of all members.

## Public Member Functions
| URLArgs (const URLArgs &args)
URLArgs & | operator= (const URLArgs &args)
| URLArgs (bool reload, int xOffset, int yOffset, const QString &serviceType=QString::null)
void | setContentType (const QString &contentType)
| KHTML-specific field, header defining the type of the POST data.
QString | contentType () const
| KHTML-specific field, header defining the type of the POST data.
void | setDoPost (bool enable)
| KHTML-specific field, whether to do a POST instead of a GET, for the next openURL.
bool | doPost () const
| KHTML-specific field, whether to do a POST instead of a GET, for the next openURL.
void | setLockHistory (bool lock)
| Whether to lock the history when opening the next URL.
bool | lockHistory () const
void | setNewTab (bool newTab)
| Whether the URL should be opened in a new tab instead in a new window.
bool | newTab () const
QMap< QString, QString > & | metaData ()
| Meta-data to associate with the next KIO operation.
bool | redirectedRequest () const
void | setRedirectedRequest (bool redirected)
## Public Attributes
QStringList | docState
| This buffer can be used by the part to save and restore its contents.
bool | reload
| `reload` is set when the cache shouldn't be used (forced reload).
int | xOffset
| `xOffset` is the horizontal scrolling of the part's widget (in case it's a scrollview).
int | yOffset
| `yOffset` vertical scrolling position, xOffset.
QString | serviceType
| The servicetype (usually mimetype) to use when opening the next URL.
QByteArray | postData
| KHTML-specific field, contents of the HTTP POST data.
QString | frameName
| The frame in which to open the URL.
bool | trustedSource
| If true, the part who asks for a URL to be opened can be 'trusted' to execute applications.
URLArgsPrivate * | d

## Detailed Description

URLArgs is a set of arguments bundled into a structure, to allow specifying how a URL should be opened by openURL().

In other words, this is like arguments to openURL(), but without have to change the signature of openURL() (since openURL is a generic KParts method). The parts (with a browser extension) who care about urlargs will use those arguments, others will ignore them.

This can also be used the other way round, when a part asks for a URL to be opened (with openURLRequest or createNewWindow).

Definition at line 56 of file browserextension.h.

## Member Function Documentation

void URLArgs::setContentType | ( | const QString & | contentType | ) |

| KHTML-specific field, header defining the type of the POST data. Definition at line 128 of file browserextension.cpp.

QString URLArgs::contentType | ( |  | ) | const

| KHTML-specific field, header defining the type of the POST data. Definition at line 147 of file browserextension.cpp.

void URLArgs::setDoPost | ( | bool | enable | ) |

| KHTML-specific field, whether to do a POST instead of a GET, for the next openURL. Definition at line 159 of file browserextension.cpp.

bool URLArgs::doPost | ( |  | ) | const

| KHTML-specific field, whether to do a POST instead of a GET, for the next openURL. Definition at line 166 of file browserextension.cpp.

void URLArgs::setLockHistory | ( | bool | lock | ) |

| Whether to lock the history when opening the next URL. This is used during e.g. a redirection, to avoid a new entry in the history. Definition at line 171 of file browserextension.cpp.

void URLArgs::setNewTab | ( | bool | newTab | ) |

| Whether the URL should be opened in a new tab instead in a new window. Definition at line 183 of file browserextension.cpp.

QMap< QString, QString > & URLArgs::metaData | ( |  | ) |

| Meta-data to associate with the next KIO operation. See also: KIO::TransferJob etc. Definition at line 152 of file browserextension.cpp.

## Member Data Documentation

QStringList KParts::URLArgs::docState

| This buffer can be used by the part to save and restore its contents. See KHTMLPart for instance. Definition at line 69 of file browserextension.h.

bool KParts::URLArgs::reload

| `reload` is set when the cache shouldn't be used (forced reload). Definition at line 74 of file browserextension.h.

int KParts::URLArgs::xOffset

| `xOffset` is the horizontal scrolling of the part's widget (in case it's a scrollview). This is saved into the history and restored when going back in the history. Definition at line 80 of file browserextension.h. Referenced by KParts::BrowserExtension::restoreState().

int KParts::URLArgs::yOffset

| `yOffset` vertical scrolling position, xOffset. Definition at line 84 of file browserextension.h. Referenced by KParts::BrowserExtension::restoreState().

QString KParts::URLArgs::serviceType

| The servicetype (usually mimetype) to use when opening the next URL. Definition at line 88 of file browserextension.h.

QByteArray KParts::URLArgs::postData

| KHTML-specific field, contents of the HTTP POST data. Definition at line 93 of file browserextension.h.

QString KParts::URLArgs::frameName

| The frame in which to open the URL. KHTML/Konqueror-specific. Definition at line 136 of file browserextension.h.

bool KParts::URLArgs::trustedSource

| If true, the part who asks for a URL to be opened can be 'trusted' to execute applications. For instance, the directory views can be 'trusted' whereas HTML pages are not trusted in that respect. Definition at line 143 of file browserextension.h.

The documentation for this struct was generated from the following files:

- browserextension.h
- browserextension.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:26:51 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001